Bug 1463156 - [New UI] - Tags - Edit tag after creation ends up with ui exception
[New UI] - Tags - Edit tag after creation ends up with ui exception
Status: VERIFIED
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
4.2.0
x86_64 Linux
unspecified Severity low (vote)
: ovirt-4.2.0
: ---
Assigned To: Alexander Wels
Michael Burman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-20 05:09 EDT by Michael Burman
Modified: 2017-06-26 02:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: UX
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.2+


Attachments (Terms of Use)
ui log (24.82 KB, application/x-gzip)
2017-06-20 05:09 EDT, Michael Burman
no flags Details

  None (edit)
Description Michael Burman 2017-06-20 05:09:41 EDT
Created attachment 1289534 [details]
ui log

Description of problem:
[New UI] - Tags - Edit tag after creation ends up with ui exception.

If creating new tag in the new UI and then editing, we get a UI exception and it's not possible to close the edit dialog. Need to refresh the browser in order to close the edit dialog. 

2017-06-20 11:59:58,905+03 ERROR [org.ovirt.engine.ui.frontend.server.gwt.OvirtRemoteLoggingService] (default task-7) [] Permutation name: AFA2F3327CDE17D5B2DB9C48988B9C14
2017-06-20 11:59:58,906+03 ERROR [org.ovirt.engine.ui.frontend.server.gwt.OvirtRemoteLoggingService] (default task-7) [] Uncaught exception: com.google.gwt.event.shared.UmbrellaException: Exception caught: (TypeError) : Cannot read property 'e' of null
        at java.lang.Throwable.Throwable(Throwable.java:70) [rt.jar:1.8.0_131]
        at java.lang.RuntimeException.RuntimeException(RuntimeException.java:32) [rt.jar:1.8.0_131]
        at com.google.web.bindery.event.shared.UmbrellaException.UmbrellaException(UmbrellaException.java:64) [gwt-servlet.jar:]
        at com.google.gwt.event.shared.UmbrellaException.UmbrellaException(UmbrellaException.java:25) [gwt-servlet.jar:]
        at com.google.gwt.event.shared.HandlerManager.$fireEvent(HandlerManager.java:117) [gwt-servlet.jar:]
        at com.google.gwt.user.client.ui.Widget.$fireEvent(Widget.java:127) [gwt-servlet.jar:]
        at com.google.gwt.user.client.ui.Widget.fireEvent(Widget.java:127) [gwt-servlet.jar:]
        at com.google.gwt.event.dom.client.DomEvent.fireNativeEvent(DomEvent.java:110) [gwt-servlet.jar:]
        at com.google.gwt.user.client.ui.Widget.$onBrowserEvent(Widget.java:163) [gwt-servlet.jar:]
        at com.google.gwt.user.client.ui.Widget.onBrowserEvent(Widget.java:163) [gwt-servlet.jar:]
        at com.google.gwt.user.client.DOM.dispatchEvent(DOM.java:1415) [gwt-servlet.jar:]
        at com.google.gwt.user.client.impl.DOMImplStandard.dispatchEvent(DOMImplStandard.java:312) [gwt-servlet.jar:]
        at com.google.gwt.core.client.impl.Impl.apply(Impl.java:236) [gwt-servlet.jar:]
        at com.google.gwt.core.client.impl.Impl.entry0(Impl.java:275) [gwt-servlet.jar:]
        at Unknown.eval(webadmin-0.js)

Version-Release number of selected component (if applicable):
4.2.0-0.0.master.20170619142113.git9aa81c2.el7.centos

How reproducible:
100

Steps to Reproduce:
1. Create new tag via 'Tags'
2. Edit the new tag

Actual results:
UI exception. Not possible to close the edit dialog. Need to refresh the browser. 

Expected results:
Should work as expected.
Comment 1 Alexander Wels 2017-06-23 10:44:35 EDT
Something fixed this. I tried reproducing on latest master and couldn't. I was able to produce before.
Comment 2 Michael Burman 2017-06-26 02:55:14 EDT
Verified on -  4.2.0-0.0.master.20170625221420.git9d461c8.el7.centos

Note You need to log in before you can comment on or make changes to this bug.